Debian Bug report logs - #625586
strange build dep to imagemagick

version graph

Package: gmic; Maintainer for gmic is Bernd Zeimetz <bzed@debian.org>; Source for gmic is src:gmic.

Reported by: Bastien ROUCARIES <roucaries.bastien@gmail.com>

Date: Wed, 4 May 2011 12:42:01 UTC

Severity: normal

Tags: moreinfo

Fixed in version 1.5.0.0+dfsg-1

Done: Bernd Zeimetz <bernd@bzed.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#625586; Package gmic. (Wed, 04 May 2011 12:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
New Bug report received and forwarded. Copy sent to Bernd Zeimetz <bzed@debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value wishlish was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

(Wed, 04 May 2011 12:42:08 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: submit@bugs.debian.org
Subject: transition: libmagick4
Date: Wed, 4 May 2011 14:31:06 +0200
Package: gmic
Severity: wishlish
block: 625544


Hi,

We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
libmagickwand4

This transition will requires sourcefull uploads as there is a (minimal) API change.

Packages are in experimental

Thanks

Bastien





Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#625586; Package gmic. (Wed, 04 May 2011 13:09:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bernd@bzed.de>:
Extra info received and forwarded to list. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Wed, 04 May 2011 13:09:32 GMT) Full text and rfc822 format available.

Message #10 received at 625586@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 625586@bugs.debian.org
Subject: Re: Bug#625586: transition: libmagick4
Date: Wed, 04 May 2011 15:00:26 +0200
Hi,

> We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
> libmagickwand4
> 
> This transition will requires sourcefull uploads as there is a (minimal) API change.

thanks for letting us know - but what about providing some information
about the API change, like what needs to be changed how and why?
POinters to some documentation?

Cheers,

Bernd

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#625586; Package gmic. (Wed, 04 May 2011 13:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Wed, 04 May 2011 13:18:07 GMT) Full text and rfc822 format available.

Message #15 received at 625586@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 625586@bugs.debian.org, Bastien ROUCARIES <roucaries.bastien@gmail.com>
Subject: Re: Bug#625586: transition: libmagick4
Date: Wed, 4 May 2011 15:15:25 +0200
* Bernd Zeimetz <bernd@bzed.de>, 2011-05-04, 15:00:
>>We would like to perform the transition from  libmagickcore3, 
>>libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
>>libmagickwand4
>>
>>This transition will requires sourcefull uploads as there is a 
>>(minimal) API change.
>
>thanks for letting us know - but what about providing some information 
>about the API change, like what needs to be changed how and why? 
>POinters to some documentation?

Sorry, but this bug looks bogus. gmic isn't linked with ImageMagick at 
all (it is linked with GraphicsMagick instead, which was my conscious 
decision.)

I does build-depend on libmagick++-dev, however, which is kinda weird.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#625586; Package gmic. (Wed, 04 May 2011 13:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Wed, 04 May 2011 13:57:10 GMT) Full text and rfc822 format available.

Message #20 received at 625586@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 625586@bugs.debian.org, Bastien ROUCARIES <roucaries.bastien@gmail.com>
Subject: Re: Bug#625586: transition: libmagick4
Date: Wed, 4 May 2011 15:55:44 +0200
On Wed, May 4, 2011 at 3:15 PM, Jakub Wilk <jwilk@debian.org> wrote:
> * Bernd Zeimetz <bernd@bzed.de>, 2011-05-04, 15:00:
>>>
>>> We would like to perform the transition from  libmagickcore3,
>>> libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, libmagickwand4
>>>
>>> This transition will requires sourcefull uploads as there is a (minimal)
>>> API change.
>>
>> thanks for letting us know - but what about providing some information
>> about the API change, like what needs to be changed how and why? POinters to
>> some documentation?
>
> Sorry, but this bug looks bogus. gmic isn't linked with ImageMagick at all
> (it is linked with GraphicsMagick instead, which was my conscious decision.)
>
> I does build-depend on libmagick++-dev, however, which is kinda weird.

Yes feel free to retitle this bug and close it if needed.

Bastien
>
> --
> Jakub Wilk
>




Added indication that bug 625586 blocks 625544 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:31 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 11:27:17 GMT) Full text and rfc822 format available.

Removed indication that bug 625586 blocks 625544 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 11:27:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Zeimetz <bzed@debian.org>:
Bug#625586; Package gmic. (Wed, 25 May 2011 10:06:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bernd Zeimetz <bzed@debian.org>. (Wed, 25 May 2011 10:06:19 GMT) Full text and rfc822 format available.

Message #31 received at 625586@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: 625586@bugs.debian.org
Subject: Retitle
Date: Wed, 25 May 2011 12:05:31 +0200
retitle 625586 strange build dep to imagemagick
thanks

Retitle to better bug repport name

Bastien




Changed Bug title to 'strange build dep to imagemagick' from 'transition: libmagick4' Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 25 May 2011 10:06:24 GMT) Full text and rfc822 format available.

Reply sent to Bernd Zeimetz <bernd@bzed.de>:
You have taken responsibility. (Thu, 21 Jun 2012 17:03:03 GMT) Full text and rfc822 format available.

Notification sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Bug acknowledged by developer. (Thu, 21 Jun 2012 17:03:03 GMT) Full text and rfc822 format available.

Message #38 received at 625586-done@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bernd@bzed.de>
To: 625586-done@bugs.debian.org
Subject: gmic: strange build dep to imagemagick
Date: Thu, 21 Jun 2012 18:58:40 +0200
Version: 1.5.0.0+dfsg-1

fixed some longish time ago without closing the bug :)

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Jul 2012 07:33:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:23:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.